# $FreeBSD: branches/RELENG_9_2_0/archivers/dpkg/Makefile.man 319281 2013-05-27 19:39:04Z pawel $

MAN1_EN=	dpkg-architecture.1 \
		dpkg-buildflags.1 \
		dpkg-buildpackage.1 \
		dpkg-checkbuilddeps.1 \
		dpkg-deb.1 \
		dpkg-distaddfile.1 \
		dpkg-genchanges.1 \
		dpkg-gencontrol.1 \
		dpkg-gensymbols.1 \
		dpkg-maintscript-helper.1 \
		dpkg-mergechangelogs.1 \
		dpkg-name.1 \
		dpkg-parsechangelog.1 \
		dpkg-query.1 \
		dpkg-scanpackages.1 \
		dpkg-scansources.1 \
		dpkg-shlibdeps.1 \
		dpkg-source.1 \
		dpkg-split.1 \
		dpkg-trigger.1 \
		dpkg-vendor.1 \
		dpkg.1 \
		dselect.1

MAN3_EN=	Dpkg::BuildEnv.3 \
		Dpkg::BuildFlags.3 \
		Dpkg::BuildOptions.3 \
		Dpkg::Changelog.3 \
		Dpkg::Changelog::Debian.3 \
		Dpkg::Changelog::Entry.3 \
		Dpkg::Changelog::Entry::Debian.3 \
		Dpkg::Changelog::Parse.3 \
		Dpkg::Checksums.3 \
		Dpkg::Compression.3 \
		Dpkg::Compression::FileHandle.3 \
		Dpkg::Compression::Process.3 \
		Dpkg::Conf.3 \
		Dpkg::Control.3 \
		Dpkg::Control::Changelog.3 \
		Dpkg::Control::Fields.3 \
		Dpkg::Control::Hash.3 \
		Dpkg::Control::Info.3 \
		Dpkg::Control::Types.3 \
		Dpkg::Deps.3 \
		Dpkg::IPC.3 \
		Dpkg::Index.3 \
		Dpkg::Interface::Storable.3 \
		Dpkg::Path.3 \
		Dpkg::Source::Package.3 \
		Dpkg::Substvars.3 \
		Dpkg::Vendor.3 \
		Dpkg::Vendor::Debian.3 \
		Dpkg::Vendor::Default.3 \
		Dpkg::Vendor::Ubuntu.3 \
		Dpkg::Version.3

MAN5_EN=	deb-control.5 \
		deb-extra-override.5 \
		deb-origin.5 \
		deb-old.5 \
		deb-override.5 \
		deb-shlibs.5 \
		deb-split.5 \
		deb-src-control.5 \
		deb-substvars.5 \
		deb-symbols.5 \
		deb-triggers.5 \
		deb-version.5 \
		deb.5 \
		dpkg.cfg.5 \
		dselect.cfg.5

MAN8_EN=	dpkg-divert.8 \
		dpkg-statoverride.8 \
		start-stop-daemon.8 \
		update-alternatives.8

.if ${PORT_OPTIONS:MNLS}
MAN1_DE=	dpkg-architecture.1 \
		dpkg-buildpackage.1 \
		dpkg-checkbuilddeps.1 \
		dpkg-deb.1 \
		dpkg-distaddfile.1 \
		dpkg-genchanges.1 \
		dpkg-gencontrol.1 \
		dpkg-name.1 \
		dpkg-parsechangelog.1 \
		dpkg-query.1 \
		dpkg-scanpackages.1 \
		dpkg-scansources.1 \
		dpkg-shlibdeps.1 \
		dpkg-source.1 \
		dpkg-split.1 \
		dpkg-trigger.1 \
		dpkg.1 \
		dselect.1

MAN5_DE=	deb-control.5 \
		deb-old.5 \
		deb-override.5 \
		deb-shlibs.5 \
		deb-substvars.5 \
		deb-symbols.5 \
		deb-triggers.5 \
		deb-version.5 \
		deb.5 \
		dpkg.cfg.5 \
		dselect.cfg.5

MAN8_DE=	dpkg-divert.8 \
		dpkg-statoverride.8 \
		start-stop-daemon.8 \
		update-alternatives.8

MAN1_FR=	dpkg-architecture.1 \
		dpkg-buildpackage.1 \
		dpkg-checkbuilddeps.1 \
		dpkg-deb.1 \
		dpkg-distaddfile.1 \
		dpkg-genchanges.1 \
		dpkg-gencontrol.1 \
		dpkg-name.1 \
		dpkg-parsechangelog.1 \
		dpkg-query.1 \
		dpkg-scanpackages.1 \
		dpkg-scansources.1 \
		dpkg-shlibdeps.1 \
		dpkg-source.1 \
		dpkg-split.1 \
		dpkg-trigger.1 \
		dpkg.1 \
		dselect.1

MAN5_FR=	deb-control.5 \
		deb-old.5 \
		deb-override.5 \
		deb-shlibs.5 \
		deb-substvars.5 \
		deb-symbols.5 \
		deb-triggers.5 \
		deb-version.5 \
		deb.5 \
		dpkg.cfg.5 \
		dselect.cfg.5

MAN8_FR=	dpkg-divert.8 \
		dpkg-statoverride.8 \
		start-stop-daemon.8 \
		update-alternatives.8

MAN5_HU=	dpkg.cfg.5 \
		dselect.cfg.5

MAN1_JA=	dpkg-architecture.1 \
		dpkg-buildflags.1 \
		dpkg-buildpackage.1 \
		dpkg-deb.1 \
		dpkg-distaddfile.1 \
		dpkg-gensymbols.1 \
		dpkg-mergechangelogs.1 \
		dpkg-name.1 \
		dpkg-scanpackages.1 \
		dpkg-scansources.1 \
		dpkg-source.1 \
		dpkg-split.1 \
		dpkg-trigger.1 \
		dpkg-vendor.1 \
		dpkg.1 \
		dselect.1

MAN5_JA=	deb-control.5 \
		deb-extra-override.5 \
		deb-old.5 \
		deb-origin.5 \
		deb-override.5 \
		deb-shlibs.5 \
		deb-split.5 \
		deb-src-control.5 \
		deb-substvars.5 \
		deb-symbols.5 \
		deb-triggers.5 \
		deb-version.5 \
		deb.5 \
		dpkg.cfg.5 \
		dselect.cfg.5

MAN8_JA=	dpkg-divert.8 \
		dpkg-statoverride.8 \
		start-stop-daemon.8 \
		update-alternatives.8

MAN1_PL=	dpkg-architecture.1 \
		dpkg-buildpackage.1 \
		dpkg-checkbuilddeps.1 \
		dpkg-deb.1 \
		dpkg-distaddfile.1 \
		dpkg-genchanges.1 \
		dpkg-gencontrol.1 \
		dpkg-name.1 \
		dpkg-parsechangelog.1 \
		dpkg-query.1 \
		dpkg-scanpackages.1 \
		dpkg-scansources.1 \
		dpkg-shlibdeps.1 \
		dpkg-split.1 \
		dpkg-trigger.1 \
		dpkg.1 \
		dselect.1

MAN5_PL=	deb-control.5 \
		deb-old.5 \
		deb-override.5 \
		deb-shlibs.5 \
		deb-substvars.5 \
		deb-symbols.5 \
		deb-triggers.5 \
		deb-version.5 \
		deb.5 \
		dpkg.cfg.5 \
		dselect.cfg.5

MAN8_PL=	dpkg-divert.8 \
		dpkg-statoverride.8 \
		start-stop-daemon.8 \
		update-alternatives.8

MAN1_SV=	dpkg-architecture.1 \
		dpkg-buildpackage.1 \
		dpkg-checkbuilddeps.1 \
		dpkg-deb.1 \
		dpkg-distaddfile.1 \
		dpkg-genchanges.1 \
		dpkg-gencontrol.1 \
		dpkg-name.1 \
		dpkg-parsechangelog.1 \
		dpkg-query.1 \
		dpkg-scanpackages.1 \
		dpkg-scansources.1 \
		dpkg-shlibdeps.1 \
		dpkg-source.1 \
		dpkg-split.1 \
		dpkg-trigger.1 \
		dpkg.1 \
		dselect.1

MAN5_SV=	deb-control.5 \
		deb-old.5 \
		deb-override.5 \
		deb-shlibs.5 \
		deb-substvars.5 \
		deb-symbols.5 \
		deb-triggers.5 \
		deb-version.5 \
		deb.5 \
		dpkg.cfg.5 \
		dselect.cfg.5

MAN8_SV=	dpkg-divert.8 \
		dpkg-statoverride.8 \
		start-stop-daemon.8 \
		update-alternatives.8
.endif
